OpenVDB: BinPointIndicesOp< PointArray, PointIndexType, VoxelOffsetType > Struct Template Reference

OpenVDB 3.2.0

Public Types | Public Member Functions | Public Attributes | List of all members
BinPointIndicesOp< PointArray, PointIndexType, VoxelOffsetType > Struct Template Reference

`#include <PointPartitioner.h>`

## Public Types
typedef PointArray::PosType | PosType
typedef std::pair< PointIndexType, PointIndexType > | IndexPair
typedef std::deque< IndexPair > | IndexPairList
typedef boost::shared_ptr< IndexPairList > | IndexPairListPtr
typedef std::map< Coord, IndexPairListPtr > | IndexPairListMap
typedef boost::shared_ptr< IndexPairListMap > | IndexPairListMapPtr

## Public Member Functions
| BinPointIndicesOp (IndexPairListMapPtr *data, const PointArray &points, VoxelOffsetType *voxelOffsets, const math::Transform &m, Index binLog2Dim, Index bucketLog2Dim, size_t numSegments, bool cellCenteredTransform)
void | operator() (const tbb::blocked_range< size_t > &range) const

## Public Attributes
IndexPairListMapPtr *const | mData
PointArray const *const | mPoints
VoxelOffsetType *const | mVoxelOffsets
math::Transform const | mXForm
Index const | mBinLog2Dim
Index const | mBucketLog2Dim
size_t const | mNumSegments
bool const | mCellCenteredTransform

## Member Typedef Documentation

## § IndexPair

typedef std::pair<PointIndexType, PointIndexType> IndexPair

## § IndexPairList

typedef std::deque<IndexPair> IndexPairList

## § IndexPairListMap

typedef std::map<Coord, IndexPairListPtr> IndexPairListMap

## § IndexPairListMapPtr

typedef boost::shared_ptr<IndexPairListMap> IndexPairListMapPtr

## § IndexPairListPtr

typedef boost::shared_ptr<IndexPairList> IndexPairListPtr

## § PosType

typedef PointArray::PosType PosType

## Constructor & Destructor Documentation

## § BinPointIndicesOp()

BinPointIndicesOp | ( | IndexPairListMapPtr * | data,
|  | const PointArray & | points,
|  | VoxelOffsetType * | voxelOffsets,
|  | const math::Transform & | m,
|  | Index | binLog2Dim,
|  | Index | bucketLog2Dim,
|  | size_t | numSegments,
|  | bool | cellCenteredTransform
| ) |  |
| inline

## Member Function Documentation

## § operator()()

void operator() | ( | const tbb::blocked_range< size_t > & | range | ) | const
| inline

## Member Data Documentation

## § mBinLog2Dim

Index const mBinLog2Dim

## § mBucketLog2Dim

Index const mBucketLog2Dim

## § mCellCenteredTransform

bool const mCellCenteredTransform

## § mData

IndexPairListMapPtr* const mData

## § mNumSegments

size_t const mNumSegments

## § mPoints

PointArray const* const mPoints

## § mVoxelOffsets

VoxelOffsetType* const mVoxelOffsets

## § mXForm

math::Transform const mXForm

The documentation for this struct was generated from the following file:

- PointPartitioner.h